import 'package:fluro/fluro.dart';
import 'package:yumi/modules/auth/account/sc_login_with_account_page.dart';

import 'package:yumi/app/routes/sc_router_init.dart';
import 'package:yumi/modules/auth/edit/sc_edit_profile_page.dart';
import 'package:yumi/modules/auth/login_page.dart';

class LoginRouter implements SCIRouterProvider {
  static String login = '/login';
  static String editProfile = '/login/edit_profile';
  static String loginWithAccount = '/login/login_account';

  @override
  void initRouter(FluroRouter router) {
    router.define(login,
        handler: Handler(handlerFunc: (_, params) => LoginPage()));
    router.define(editProfile,
        handler: Handler(handlerFunc: (_, params) => SCEditProfilePage()));
    router.define(loginWithAccount,
        handler: Handler(
            handlerFunc: (_, params) => SCLoginWithAccountPage()));
  }
}
